Redmine - Defect #25118

ThemesTest#test_without_theme_js may fail if third-party theme is installed
2017-02-18 09:15 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Themes Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed Affected version:

Description

test/unit/lib/redmine/themes_test.rb may fail if third party theme which has javascripts/theme.js is installed.

1) Failure:
ThemesTest#test_without_theme_Jjs [test//integration/lib/redmine/themes_test.rb:43]:

Expected exactly 0 elements matching "script[src”="/themes/redminecrm/javascripts/theme.js"]", fou
nd 1..
Expected: 0

Actual: 1

This issue can be fixed by the following patch:

Index: test/integration/lib/redmine/themes_test.rb

-—-— test/integration/lib/redmine/themes_test.rb (revision 16332)
+++ test/integration/lib/redmine/themes_test.rb (working copy)
@@ -37,6 +37,8 Q@

end

def test_without_theme_ijs

+ # simulate a state theme.js does not exists
+ @theme. javascripts.clear
get l/l

assert_response :success

Related issues:
Related to Redmine - Patch #31941: ThemesTest may fail if a third-party theme... Closed

Associated revisions

Revision 16347 - 2017-03-02 19:20 - Jean-Philippe Lang
ThemesTest#test_without_theme_js may fail if third-party theme is installed (#25118).

Patch by Go MAEDA.

History

#1 - 2017-03-02 06:03 - Go MAEDA

- Target version set to 3.4.0

#2 - 2017-03-02 19:20 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#3 - 2019-08-25 01:39 - Go MAEDA
- Related to Patch #3194 1: ThemesTest may fail if a third-party theme with a favicon is installed added
